Trumpet Winsock 2.0b

So while browsing around k7tty, I came across this file, internet.zip, that pretty much has everything you need for a windows 3.1 machine to get into the internet using Trumpet Winsock.

I used a packet driver, along with Qemu’s built in ne2000 and it works pretty well!

While I never used Trumpet back in the day, setting it up for LAN access was pretty easy, and while Trumpet 1.0 loads on Windows 3.0 I never could find any applications that actually work with it. Trumpet 2.0 seems more along the line of the finalized Winsock 1.1 stacks, with applications abound to run with it and Windows 3.1

Author: neozeed

I live in SE Asia, doing generic work, enjoying my life & family

6 thoughts on “Trumpet Winsock 2.0b”

  1. I just got the internet operational in a Win 3.1 virtual machine (Virtual PC 2004) by also using a packet driver (for a DC21X4). I had a Trumpet Winsock 2.0b license from 1994 or so I’m good on that front.

    Netscape 1.0N (in the internet.zip package above) is useless but v2.0 is somewhat usable. Most websites don’t render probably and the browser sometimes crashes but that is better than 1.0N (that does nothing at all for me).

    So I’m back to 1994/1995 except back then I had slow dial-up and now I’m at DSL speeds plus Win 3.1 is much faster in a VM.

    Thanks to this page I got it all working!

    1. Sadly, Trumpet Winsock is no longer available. Any attempts to access that page takes you to the 404 error message.

      I’m sure that TCP/IP support was never very well supported in Windows 3.1 even with having to pay for the TCP/IP software.

      Of course, TCP/IP support was added in Windows for Workgroups 3.11, but it was little improvement.

      It was at least Windows 95 when improvements were made to TCP./IP support.

      Coders today would need to write open-sourced Winsock 1.1 software that will connect Windows 3.1 to limited internet access.

      1. In a sick way always wanted to port net/1 to Windows…. I wonder if win386 can make dll’s… can win16 apps call win386 dll’s. Would anyone care about net/1 on Windows 3.0 and higher?

        It not being 1991 severely limits the usefulness of this.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.